%global         momorel 1
%global         srcver 0.35

Name:           perl-MouseX-Getopt
Version:        %{srcver}00
Release:        %{momorel}m%{?dist}
Summary:        Mouse role for processing command line options
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MouseX-Getopt/
Source0:        http://www.cpan.org/authors/id/T/TO/TOKUHIROM/mousex-getopt-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Getopt-Long >= 2.37
BuildRequires:  perl-Getopt-Long-Descriptive >= 0.091
BuildRequires:  perl-Mouse >= 0.64
BuildRequires:  perl-Test-Exception >= 0.21
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Test-Warn >= 0.21
Requires:       perl-Getopt-Long >= 2.37
Requires:       perl-Getopt-Long-Descriptive >= 0.091
Requires:       perl-Mouse >= 0.64
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

%prep
%setup -q -n mousex-getopt-%{srcver}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json minil.toml README.md
%{perl_vendorlib}/MouseX/Getopt*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3500-1m)
- rebuild against perl-5.20.0
- update to 0.35

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-8m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-2m)
- rebuild against perl-5.16.0

* Wed Mar 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3400-1m)
- update to 0.34

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3300-8m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3300-7m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3300-6m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3300-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3300-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3300-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3300-2m)
- full rebuild for mo7 release

* Sat Jul 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3300-1m)
- update to 0.33

* Fri Jul 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3200-1m)
- update to 0.32

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2601-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2601-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2601-1m)
- update to 0.2601

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2201-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2201-1m)
- update to 0.2201

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-5m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-4m)
- rebuild against perl-5.10.1

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-3m)
- remove duplicate directories

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- modify BuildRequires

* Mon May 25 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
